﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridCollectionBindingTest
{
    public class Company : ViewModelBase
    {
        string _name;
        string _phoneNumber;

        public Company() { }

        public Company(string name, string phoneNumber)
        {
            _name = name;
            _phoneNumber = phoneNumber;
        }

        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
                Notify("Name");
            }
        }

        public string PhoneNumber
        {
            get
            {
                return _phoneNumber;
            }
            set
            {
                _phoneNumber = value;
                Notify("PhoneNumber");
            }
        }

        public override string ToString()
        {
            return "Name: " + Name + ", PhoneNumber: " + PhoneNumber;
        }

    }
}
